## org.apache.lucene.ant
Class FileExtensionDocumentHandler

    java.lang.Object
      org.apache.lucene.ant.FileExtensionDocumentHandler

All Implemented Interfaces:
  DocumentHandler

    public class FileExtensionDocumentHandler

extends java.lang.Object
implements DocumentHandler

A DocumentHandler implementation to delegate responsibility to based on a files extension. Currently only .html and .txt files are handled, other extensions ignored.

Since:
  October 28, 2001 TODO: Implement dynamic document type lookup

Constructor Summary
`FileExtensionDocumentHandler()`

Method Summary
`org.apache.lucene.document.Document` `getDocument(java.io.File file)` Gets the document attribute of the FileExtensionDocumentHandler object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileExtensionDocumentHandler

    public FileExtensionDocumentHandler()

Method Detail

### getDocument

    public org.apache.lucene.document.Document getDocument(java.io.File file)
                                                    throws DocumentHandlerException

  Gets the document attribute of the FileExtensionDocumentHandler object

  Specified by:
    `getDocument` in interface `DocumentHandler`
  Parameters:
    `file` - Description of Parameter
  Returns:
    The document value
  Throws:
    `DocumentHandlerException` - Description of Exception

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.